Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
tree: 4bb4a19dae
Fetching contributors…

Cannot retrieve contributors at this time

223 lines (217 sloc) 7.95 kb
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{mongo_doc}
s.version = "0.4.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Les Hill"]
s.date = %q{2010-03-17}
s.description = %q{ODM for MongoDB}
s.email = %q{leshill@gmail.com}
s.extra_rdoc_files = [
"LICENSE",
"README.textile",
"TODO"
]
s.files = [
".document",
".gitignore",
"LICENSE",
"README.textile",
"Rakefile",
"TODO",
"VERSION",
"data/.gitignore",
"examples/simple_document.rb",
"examples/simple_object.rb",
"features/collections.feature",
"features/finders.feature",
"features/indexes.feature",
"features/mongodb.yml",
"features/mongodoc_base.feature",
"features/new_record.feature",
"features/partial_updates.feature",
"features/removing_documents.feature",
"features/saving_an_object.feature",
"features/scopes.feature",
"features/step_definitions/collection_steps.rb",
"features/step_definitions/document_steps.rb",
"features/step_definitions/documents.rb",
"features/step_definitions/finder_steps.rb",
"features/step_definitions/index_steps.rb",
"features/step_definitions/json_steps.rb",
"features/step_definitions/object_steps.rb",
"features/step_definitions/objects.rb",
"features/step_definitions/partial_update_steps.rb",
"features/step_definitions/query_steps.rb",
"features/step_definitions/removing_documents_steps.rb",
"features/step_definitions/scope_steps.rb",
"features/step_definitions/string_casting_steps.rb",
"features/step_definitions/util_steps.rb",
"features/string_casting.feature",
"features/support/support.rb",
"features/using_criteria.feature",
"lib/mongo_doc.rb",
"lib/mongo_doc/associations.rb",
"lib/mongo_doc/associations/collection_proxy.rb",
"lib/mongo_doc/associations/document_proxy.rb",
"lib/mongo_doc/associations/hash_proxy.rb",
"lib/mongo_doc/associations/proxy_base.rb",
"lib/mongo_doc/attributes.rb",
"lib/mongo_doc/bson.rb",
"lib/mongo_doc/collection.rb",
"lib/mongo_doc/connection.rb",
"lib/mongo_doc/contexts.rb",
"lib/mongo_doc/contexts/ids.rb",
"lib/mongo_doc/contexts/mongo.rb",
"lib/mongo_doc/criteria.rb",
"lib/mongo_doc/cursor.rb",
"lib/mongo_doc/document.rb",
"lib/mongo_doc/ext.rb",
"lib/mongo_doc/ext/array.rb",
"lib/mongo_doc/ext/binary.rb",
"lib/mongo_doc/ext/boolean_class.rb",
"lib/mongo_doc/ext/date.rb",
"lib/mongo_doc/ext/date_time.rb",
"lib/mongo_doc/ext/dbref.rb",
"lib/mongo_doc/ext/hash.rb",
"lib/mongo_doc/ext/nil_class.rb",
"lib/mongo_doc/ext/numeric.rb",
"lib/mongo_doc/ext/object.rb",
"lib/mongo_doc/ext/object_id.rb",
"lib/mongo_doc/ext/regexp.rb",
"lib/mongo_doc/ext/string.rb",
"lib/mongo_doc/ext/symbol.rb",
"lib/mongo_doc/ext/time.rb",
"lib/mongo_doc/finders.rb",
"lib/mongo_doc/index.rb",
"lib/mongo_doc/matchers.rb",
"lib/mongo_doc/query.rb",
"lib/mongo_doc/scope.rb",
"lib/mongo_doc/validations/macros.rb",
"lib/mongo_doc/validations/validates_embedded.rb",
"lib/mongoid/contexts/enumerable.rb",
"lib/mongoid/contexts/paging.rb",
"lib/mongoid/criteria.rb",
"lib/mongoid/criterion/complex.rb",
"lib/mongoid/criterion/exclusion.rb",
"lib/mongoid/criterion/inclusion.rb",
"lib/mongoid/criterion/optional.rb",
"lib/mongoid/extensions/hash/criteria_helpers.rb",
"lib/mongoid/extensions/symbol/inflections.rb",
"lib/mongoid/matchers/all.rb",
"lib/mongoid/matchers/default.rb",
"lib/mongoid/matchers/exists.rb",
"lib/mongoid/matchers/gt.rb",
"lib/mongoid/matchers/gte.rb",
"lib/mongoid/matchers/in.rb",
"lib/mongoid/matchers/lt.rb",
"lib/mongoid/matchers/lte.rb",
"lib/mongoid/matchers/ne.rb",
"lib/mongoid/matchers/nin.rb",
"lib/mongoid/matchers/size.rb",
"mongo_doc.gemspec",
"mongod.example.yml",
"mongodb.example.yml",
"perf/mongo_doc_runner.rb",
"perf/ruby_driver_runner.rb",
"script/console",
"spec/associations/collection_proxy_spec.rb",
"spec/associations/document_proxy_spec.rb",
"spec/associations/hash_proxy_spec.rb",
"spec/associations_spec.rb",
"spec/attributes_accessor_spec.rb",
"spec/attributes_spec.rb",
"spec/bson_matchers.rb",
"spec/bson_spec.rb",
"spec/collection_spec.rb",
"spec/connection_spec.rb",
"spec/contexts/ids_spec.rb",
"spec/contexts/mongo_spec.rb",
"spec/contexts_spec.rb",
"spec/criteria_spec.rb",
"spec/cursor_spec.rb",
"spec/document_ext.rb",
"spec/document_spec.rb",
"spec/embedded_save_spec.rb",
"spec/ext_spec.rb",
"spec/finders_spec.rb",
"spec/hash_matchers.rb",
"spec/index_spec.rb",
"spec/matchers_spec.rb",
"spec/mongodb.yml",
"spec/mongodb_pairs.yml",
"spec/new_record_spec.rb",
"spec/query_spec.rb",
"spec/scope_spec.rb",
"spec/spec.opts",
"spec/spec_helper.rb"
]
s.homepage = %q{http://github.com/leshill/mongodoc}
s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.6}
s.summary = %q{ODM for MongoDB}
s.test_files = [
"spec/associations/collection_proxy_spec.rb",
"spec/associations/document_proxy_spec.rb",
"spec/associations/hash_proxy_spec.rb",
"spec/associations_spec.rb",
"spec/attributes_accessor_spec.rb",
"spec/attributes_spec.rb",
"spec/bson_matchers.rb",
"spec/bson_spec.rb",
"spec/collection_spec.rb",
"spec/connection_spec.rb",
"spec/contexts/ids_spec.rb",
"spec/contexts/mongo_spec.rb",
"spec/contexts_spec.rb",
"spec/criteria_spec.rb",
"spec/cursor_spec.rb",
"spec/document_ext.rb",
"spec/document_spec.rb",
"spec/embedded_save_spec.rb",
"spec/ext_spec.rb",
"spec/finders_spec.rb",
"spec/hash_matchers.rb",
"spec/index_spec.rb",
"spec/matchers_spec.rb",
"spec/new_record_spec.rb",
"spec/query_spec.rb",
"spec/scope_spec.rb",
"spec/spec_helper.rb",
"examples/simple_document.rb",
"examples/simple_object.rb"
]
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<activesupport>, [">= 2.3.4"])
s.add_runtime_dependency(%q<mongo>, ["= 0.19"])
s.add_runtime_dependency(%q<mongo_ext>, ["= 0.19"])
s.add_runtime_dependency(%q<durran-validatable>, ["= 2.0.1"])
s.add_runtime_dependency(%q<leshill-will_paginate>, ["= 2.3.11"])
s.add_development_dependency(%q<rspec>, ["= 1.3.0"])
s.add_development_dependency(%q<cucumber>, ["= 0.6.2"])
else
s.add_dependency(%q<activesupport>, [">= 2.3.4"])
s.add_dependency(%q<mongo>, ["= 0.19"])
s.add_dependency(%q<mongo_ext>, ["= 0.19"])
s.add_dependency(%q<durran-validatable>, ["= 2.0.1"])
s.add_dependency(%q<leshill-will_paginate>, ["= 2.3.11"])
s.add_dependency(%q<rspec>, ["= 1.3.0"])
s.add_dependency(%q<cucumber>, ["= 0.6.2"])
end
else
s.add_dependency(%q<activesupport>, [">= 2.3.4"])
s.add_dependency(%q<mongo>, ["= 0.19"])
s.add_dependency(%q<mongo_ext>, ["= 0.19"])
s.add_dependency(%q<durran-validatable>, ["= 2.0.1"])
s.add_dependency(%q<leshill-will_paginate>, ["= 2.3.11"])
s.add_dependency(%q<rspec>, ["= 1.3.0"])
s.add_dependency(%q<cucumber>, ["= 0.6.2"])
end
end
Jump to Line
Something went wrong with that request. Please try again.